package app

import (
	"context"

	"github.com/rs/zerolog"
	"go.opentelemetry.io/otel/trace"

	"gitea.libretechconsulting.com/rmcguire/go-app/pkg/config"
	grpcopts "gitea.libretechconsulting.com/rmcguire/go-app/pkg/srv/grpc/opts"
	httpopts "gitea.libretechconsulting.com/rmcguire/go-app/pkg/srv/http/opts"
)

type App struct {
	AppContext    context.Context
	HTTP          *httpopts.AppHTTP
	GRPC          *grpcopts.AppGRPC
	cfg           *config.AppConfig
	l             *zerolog.Logger
	tracer        trace.Tracer
	shutdownFuncs []shutdownFunc
	appDone       chan any
}

type shutdownFunc func(context.Context) error
