package config

var defaultOTELConfig = &OTELConfig{
	Enabled:            true,
	PrometheusEnabled:  true,
	PrometheusPath:     "/metrics",
	StdoutEnabled:      false,
	MetricIntervalSecs: 30,
}

// OTEL Configuration
type OTELConfig struct {
	Enabled            bool   `yaml:"enabled,omitempty" env:"APP_OTEL_ENABLED"`
	PrometheusEnabled  bool   `yaml:"prometheusEnabled,omitempty" env:"APP_OTEL_PROMETHEUS_ENABLED"`
	PrometheusPath     string `yaml:"prometheusPath,omitempty" env:"APP_OTEL_PROMETHEUS_PATH"`
	StdoutEnabled      bool   `yaml:"stdoutEnabled,omitempty" env:"APP_OTEL_STDOUT_ENABLED"`
	MetricIntervalSecs int    `yaml:"metricIntervalSecs,omitempty" env:"APP_OTEL_METRIC_INTERVAL_SECS"`
}
